import request from '@/assets/js/utils/request'
/* -------------------------------------标书费------------------------------------ */

// 获取标书购买记录列表
export function queryTenderRecordList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/supplierRegister/queryTenderRecordList',
    method: 'post',
    data
  })
}
// 获取标书购买记录-购买详情信息列表
export function queryTenderRecordDetailList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/supplierRegister/queryTenderRecordDetailList',
    method: 'post',
    data
  })
}
// 获取标书购买记录-导出文件购买记录详情列表
export function exportDocumentRecordDetailList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/supplierRegister/exportDocumentRecordDetailList',
    method: 'post',
    data,
    responseType: 'blob'
  })
}
// 获取标书购买记录-文件获取详情
export function queryTenderRecordDetail(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/supplierRegister/queryTenderRecordDetail',
    method: 'post',
    data
  })
}
// 报名审核-项目经理待审核、已审核列表
export function getSignupAuditList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/signup/signupAudit/getSignupAuditList',
    method: 'post',
    data
  })
}
// 报名审核-项目经理审核报名
export function auditSignupInfo(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/signup/signupAudit/auditSignupInfo',
    method: 'post',
    data
  })
}
// 报名审核-根据报名id查看详情信息
export function getSignupInfoBySignupId(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/signup/signup/getSignupInfoBySignupId',
    method: 'post',
    data
  })
}
// 驱动-投标-标书获取-获取报名列表
export function getSignupList(data) {
  return request({
    url: '/bidprocurement/bidding-docfee/docfee/supplierRegister/getSignupList',
    method: 'post',
    data
  })
}

